Generate a DCA code.
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ”object
CAIP-19 identifier for the source currency. Alternative to currencyPair — when both sourceCurrency and targetCurrency are provided, currencyPair is derived automatically.
Example
swift:0/iso4217:EURCAIP-19 identifier for the target currency. Alternative to currencyPair — when both sourceCurrency and targetCurrency are provided, currencyPair is derived automatically.
Example
bip122:000000000019d6689c085ae165831e93/slip44:0The currency pair for the DCA code.
Example
BTC-EURThe wallet address we send the cryptos to after the payment is completed.
Example
3FZbgi29cpjq2GjdwV8eyHuJJnkLtktZc5The destination tag where we send the cryptos to after the payment is completed.
Example
ABC12345Responses
Section titled “ Responses ”Returns the data (IBAN, BIC, payment description, etc) for the DCA.
object
Name of the account holder.
Example
DoeThe IBAN where the fiat need to be sent to.
Example
NL37BUNQ2025406444The code that needs to be sent in the description field.
Example
12345678The BIC of the bank.
Example
BUNQNL2AA list of possible errors for this endpoint.
object
Example
{ "errors": { "ER006": { "code": "ER006", "message": "The provided quote has expired.", "solution": "Request a new quote." }, "ER007": { "code": "ER007", "message": "The provided quote contains invalid data. It is possible it has been tampered with.", "solution": "Provide a valid quote." }, "ER008": { "code": "ER008", "message": "The selected currency is down for maintenance.", "solution": "Check /api/v1/system/currency-pairs to see whether the selected currency is enabled, and try again." }, "ER016": { "code": "ER016", "message": "Selling is down for maintenance.", "solution": "Check /api/v1/system/currency-pairs to see whether buying has been enabled, and try again." }, "ER017": { "code": "ER017", "message": "The provided quote is not a sell quote.", "solution": "Request a new sell quote." }, "ER800": { "code": "ER800", "message": "Authorization token is invalid.", "solution": "Provide a valid authorization token." }, "ER801": { "code": "ER801", "message": "Authorization token has expired.", "solution": "Request a new authorization token." }, "ER802": { "code": "ER802", "message": "Authorization token not found.", "solution": "Provide an authorization token." }, "ER803": { "code": "ER803", "message": "Multiple authorization methods used.", "solution": "Use exactly one authorization method." }, "ER805": { "code": "ER805", "message": "API key is invalid.", "solution": "Provide a valid API key." }, "ER806": { "code": "ER806", "message": "API key not found.", "solution": "Provide an API key." }, "ER999": { "code": "ER999", "message": "A general error has occurred. Please contact our support team.", "solution": "Contact our support team." } }}